import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";

import "jquery/src/jquery.js";
import "bootstrap/dist/css/bootstrap.min.css";
import "bootstrap/dist/js/bootstrap.bundle.min.js";

window.jQuery = window.$ = require("jquery");

const app = createApp(App).use(store).use(router);

const pass = () => {};

app.directive("tooltip", {
  mounted(el, binding) {
    try {
      window.$(el).tooltip({
        placement: binding.arg,
        trigger: "hover",
      });
    } catch {
      pass();
    }
  },
  updated(el) {
    try {
      window.$(el).tooltip("update");
    } catch {
      pass();
    }
  },
  unmounted(el) {
    try {
      window.$(el).tooltip("dispose");
    } catch {
      pass();
    }
  },
});

app.mount("#app");
