import axios from "axios";

import const_config from "@/config.js";

const api_base = const_config.api;

export default {
  state: {
    config: {
      ...const_config,
    },
  },
  mutations: {
    setConfig(state, new_config) {
      state.config = {
        ...const_config,
        ...new_config,
      };
    },
  },
  actions: {
    async fetchConfig(ctx) {
      try {
        const res = await axios.get(`${api_base}/config`);
        const new_config = res.data;
        ctx.commit("setConfig", new_config);
      } catch (err) {
        console.error(err);
      }
    },
  },
  getters: {
    Config(state) {
      return state.config;
    },
  },
};
